"use client";
import { factorySpace as o } from "../../micromark-factory-space/index.js";
import { markdownSpace as u, markdownLineEnding as f } from "../../micromark-util-character/index.js";
const p = {
  partial: !0,
  tokenize: l
};
function l(t, i, e) {
  return a;
  function a(n) {
    return u(n) ? o(t, r, "linePrefix")(n) : r(n);
  }
  function r(n) {
    return n === null || f(n) ? i(n) : e(n);
  }
}
export {
  p as blankLine
};
